linux: 3.5.0-19.30 -proposed tracker

Bug #1078041 reported by Luis Henriques on 2012-11-12
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Prepare-package-signed
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Herton R. Krzesinski
linux (Ubuntu)
Medium
Unassigned
Quantal
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.5.0-19.30 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 12. November 2012 17:55 UTC
kernel-stable-Prepare-package-end:Wednesday, 14. November 2012 11:37 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 14. November 2012 11:37 UTC
kernel-stable-Promote-to-proposed-end:Friday, 16. November 2012 10:01 UTC
kernel-stable-Verification-testing-start:Friday, 16. November 2012 12:01 UTC
kernel-stable-Verification-testing-end:Wednesday, 21. November 2012 15:01 UTC
kernel-stable-Certification-testing-start:Wednesday, 21. November 2012 15:01 UTC
kernel-stable-Security-signoff-start:Wednesday, 21. November 2012 15:01 UTC
kernel-stable-Regression-testing-start:Wednesday, 21. November 2012 15:01 UTC
kernel-stable-Security-signoff-end:Monday, 26. November 2012 22:00 UTC
kernel-stable-Certification-testing-end:Thursday, 29. November 2012 21:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 29. November 2012 22:01 UTC
kernel-stable-Regression-testing-end:Thursday, 29. November 2012 22:01 UTC
kernel-stable-Promote-to-updates-end:Friday, 30. November 2012 11:57 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 30. November 2012 12:03 UTC

CVE References

Luis Henriques (henrix) on 2012-11-12
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1078672
linux-armadaxp - bug 1078674
linux-lowlatency - bug 1078676

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1078677

description: updated
Luis Henriques (henrix) on 2012-11-15
Changed in linux (Ubuntu):
status: In Progress → Invalid
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed babysat through the queue.

Brad Figg (brad-figg) on 2012-11-16
description: updated
Brad Figg (brad-figg) on 2012-11-16
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs verified.

Brad Figg (brad-figg) on 2012-11-21
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2012-11-26
description: updated

Hardware Certification have begun testing this -proposed kernel

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and the report is available here: http://people.canonical.com/~hwcert/sru-testing/wk48_2012/quantal-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-11-29
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-11-29
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-19.30

---------------
linux (3.5.0-19.30) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1078041

  [ Andy Whitcroft ]

  * [Config] update Vcs-git: to point to quantal
    - LP: #1069204

  [ Joseph Salisbury ]

  * SAUCE: ALSA: hda - add quirk for Thinkpad T430
    - LP: #1060372

  [ Tim Gardner ]

  * [Config] CONFIG_USB_OTG=n for all but armel/armhf
    - LP: #1047527
  * [Config] remove ndiswrapper from Provides:
    - LP: #1076395
  * [Config] ONFIG_AMD_IOMMU_V2=m
    - LP: #1071520

  [ Upstream Kernel Changes ]

  * kernel/sys.c: fix stack memory content leak via UNAME26
    - LP: #1065622, #1060521
    - CVE-2012-0957
  * use clamp_t in UNAME26 fix
    - LP: #1065622, #1060521
    - CVE-2012-0957
  * net: fix divide by zero in tcp algorithm illinois
    - LP: #1077091
    - CVE-2012-4565

  [ Wen-chien Jesse Sung ]

  * SAUCE: Bluetooth: Add a load_firmware callback to struct hci_dev
    - LP: #1065400
  * SAUCE: Bluetooth: Implement broadcom patchram firmware loader
    - LP: #1065400
  * SAUCE: Bluetooth: Add support for 13d3:3388 and 13d3:3389
    - LP: #1065400
 -- Luis Henriques <email address hidden> Tue, 13 Nov 2012 15:49:15 +0000

Changed in linux (Ubuntu Quantal):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2012-11-30
description: updated

The following packages ended up in the wrong component in the -security pocket:

kernel-signed-image-3.5.0-19-generic-di 3.5.0-19.30 - is in main instead of universe
linux-signed-image-3.5.0-19-generic 3.5.0-19.30 - is in main instead of universe

Once this is fixed, set the promote-to-security to Fix Released again

Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -updates pocket:

kernel-signed-image-3.5.0-19-generic-di 3.5.0-19.30 - is in main instead of universe
linux-signed-image-3.5.0-19-generic 3.5.0-19.30 - is in main instead of universe

Once this is fixed, set the promote-to-updates to Fix Released again

description: updated
Luis Henriques (henrix) on 2012-11-30
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers